Bug 538396 - SELinux is preventing /bin/bash "getattr" access on /var/run/mysqld/mysqld.pid.
Summary: SELinux is preventing /bin/bash "getattr" access on /var/run/mysqld/mysqld.pid.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cec1520c1ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 13:27 UTC by k.kowalczyk08
Modified: 2011-11-18 11:46 UTC (History)
6 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:20 UTC


Attachments (Terms of Use)

Description k.kowalczyk08 2009-11-18 13:27:28 UTC
Podsumowanie:

SELinux is preventing /bin/bash "getattr" access on /var/run/mysqld/mysqld.pid.

Szczegółowy opis:

SELinux denied access requested by mysqld_safe. It is not expected that this
access is required by mysqld_safe and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Zezwalanie na dostęp:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Dodatkowe informacje:

Kontekst źródłowy          system_u:system_r:mysqld_safe_t:s0
Kontekst docelowy             system_u:object_r:mysqld_var_run_t:s0
Obiekty docelowe              /var/run/mysqld/mysqld.pid [ file ]
Źródło                     mysqld_safe
Ścieżka źródłowa         /bin/bash
Port                          <Nieznane>
Komputer                      (removed)
Źródłowe pakiety RPM       bash-4.0.33-1.fc12
Docelowe pakiety RPM          
Pakiet RPM polityki           selinux-policy-3.6.32-41.fc12
SELinux jest włączony       True
Typ polityki                  targeted
MLS jest włączone           True
Tryb wymuszania               Enforcing
Nazwa wtyczki                 catchall
Nazwa komputera               (removed)
Platforma                     Linux (removed)
                              2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14
                              EST 2009 x86_64 x86_64
Liczba alarmów               2
Po raz pierwszy               śro, 18 lis 2009, 07:06:39
Po raz ostatni                śro, 18 lis 2009, 07:06:46
Lokalny identyfikator         35c1ae5a-4fe3-4b23-80e0-30ad7d191418
Liczba wierszy                

Surowe komunikaty audytu      

node=(removed) type=AVC msg=audit(1258524406.572:22558): avc:  denied  { getattr } for  pid=4554 comm="mysqld_safe" path="/var/run/mysqld/mysqld.pid" dev=dm-0 ino=2622274 scontext=system_u:system_r:mysqld_safe_t:s0 tcontext=system_u:object_r:mysqld_var_run_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258524406.572:22558): arch=c000003e syscall=4 success=no exit=-13 a0=2235390 a1=7fffbece36c0 a2=7fffbece36c0 a3=8 items=0 ppid=4525 pid=4554 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mysqld_safe" exe="/bin/bash" subj=system_u:system_r:mysqld_safe_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,mysqld_safe,mysqld_safe_t,mysqld_var_run_t,file,getattr
audit2allow suggests:

#============= mysqld_safe_t ==============
allow mysqld_safe_t mysqld_var_run_t:file getattr;

Comment 1 Daniel Walsh 2009-11-18 13:57:33 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-47.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:35:49 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:18:43 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:30:24 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.